Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class FormatDescriptorTO

    java.lang.Object
      org.eclipse.higgins.ics.ws.wsdl.FormatDescriptorTO

All Implemented Interfaces:
  Serializable

public class FormatDescriptorTO
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`FormatDescriptorTO()`
`FormatDescriptorTO(UITokenServiceCredentialTO credential, String fileExtension, String formatID, String name)`

Method Summary
`boolean` | `equals(Object obj)`
`UITokenServiceCredentialTO` | `getCredential()` Gets the credential value for this FormatDescriptorTO.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`String` | `getFileExtension()` Gets the fileExtension value for this FormatDescriptorTO.
`String` | `getFormatID()` Gets the formatID value for this FormatDescriptorTO.
`String` | `getName()` Gets the name value for this FormatDescriptorTO.
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setCredential(UITokenServiceCredentialTO credential)` Sets the credential value for this FormatDescriptorTO.
`void` | `setFileExtension(String fileExtension)` Sets the fileExtension value for this FormatDescriptorTO.
`void` | `setFormatID(String formatID)` Sets the formatID value for this FormatDescriptorTO.
`void` | `setName(String name)` Sets the name value for this FormatDescriptorTO.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormatDescriptorTO

    public FormatDescriptorTO()

### FormatDescriptorTO

    public FormatDescriptorTO(UITokenServiceCredentialTO credential,
                              String fileExtension,
                              String formatID,
                              String name)

Method Detail

### getCredential

    public UITokenServiceCredentialTO getCredential()

  Gets the credential value for this FormatDescriptorTO.

  Returns:
    credential

### setCredential

    public void setCredential(UITokenServiceCredentialTO credential)

  Sets the credential value for this FormatDescriptorTO.

  Parameters:
    `credential` -

### getFileExtension

    public String getFileExtension()

  Gets the fileExtension value for this FormatDescriptorTO.

  Returns:
    fileExtension

### setFileExtension

    public void setFileExtension(String fileExtension)

  Sets the fileExtension value for this FormatDescriptorTO.

  Parameters:
    `fileExtension` -

### getFormatID

    public String getFormatID()

  Gets the formatID value for this FormatDescriptorTO.

  Returns:
    formatID

### setFormatID

    public void setFormatID(String formatID)

  Sets the formatID value for this FormatDescriptorTO.

  Parameters:
    `formatID` -

### getName

    public String getName()

  Gets the name value for this FormatDescriptorTO.

  Returns:
    name

### setName

    public void setName(String name)

  Sets the name value for this FormatDescriptorTO.

  Parameters:
    `name` -

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD